package com.ruoyi.back.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.back.mapper.PdEnrolldataEnterCollegeMapper;
import com.ruoyi.back.domain.PdEnrolldataEnterCollege;
import com.ruoyi.back.service.IPdEnrolldataEnterCollegeService;

/**
 * 院校线Service业务层处理
 * 
 * @author voluntary
 * @date 2022-12-09
 */
@Service
public class PdEnrolldataEnterCollegeServiceImpl implements IPdEnrolldataEnterCollegeService 
{
    @Autowired
    private PdEnrolldataEnterCollegeMapper pdEnrolldataEnterCollegeMapper;

    /**
     * 查询院校线
     * 
     * @param id 院校线主键
     * @return 院校线
     */
    @Override
    public PdEnrolldataEnterCollege selectPdEnrolldataEnterCollegeById(String id)
    {
        return pdEnrolldataEnterCollegeMapper.selectPdEnrolldataEnterCollegeById(id);
    }

    /**
     * 查询院校线列表
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 院校线
     */
    @Override
    public List<PdEnrolldataEnterCollege> selectPdEnrolldataEnterCollegeList(PdEnrolldataEnterCollege pdEnrolldataEnterCollege)
    {
        return pdEnrolldataEnterCollegeMapper.selectPdEnrolldataEnterCollegeList(pdEnrolldataEnterCollege);
    }

    /**
     * 新增院校线
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 结果
     */
    @Override
    public int insertPdEnrolldataEnterCollege(PdEnrolldataEnterCollege pdEnrolldataEnterCollege)
    {
        pdEnrolldataEnterCollege.setCreateTime(DateUtils.getNowDate());
        return pdEnrolldataEnterCollegeMapper.insertPdEnrolldataEnterCollege(pdEnrolldataEnterCollege);
    }

    /**
     * 修改院校线
     * 
     * @param pdEnrolldataEnterCollege 院校线
     * @return 结果
     */
    @Override
    public int updatePdEnrolldataEnterCollege(PdEnrolldataEnterCollege pdEnrolldataEnterCollege)
    {
        pdEnrolldataEnterCollege.setUpdateTime(DateUtils.getNowDate());
        return pdEnrolldataEnterCollegeMapper.updatePdEnrolldataEnterCollege(pdEnrolldataEnterCollege);
    }

    /**
     * 批量删除院校线
     * 
     * @param ids 需要删除的院校线主键
     * @return 结果
     */
    @Override
    public int deletePdEnrolldataEnterCollegeByIds(String[] ids)
    {
        return pdEnrolldataEnterCollegeMapper.deletePdEnrolldataEnterCollegeByIds(ids);
    }

    /**
     * 删除院校线信息
     * 
     * @param id 院校线主键
     * @return 结果
     */
    @Override
    public int deletePdEnrolldataEnterCollegeById(String id)
    {
        return pdEnrolldataEnterCollegeMapper.deletePdEnrolldataEnterCollegeById(id);
    }
}
